%undefine _auto_set_build_flags
%undefine _hardened_build

Summary: Tetris game in four dimensions
Name:    4dtris
Version: 0.4.3
Release: 6%{?dist}
License: GPLv2
URL: http://sourceforge.net/projects/dtris/
Source: https://launchpad.net/4dtris/0.4/0.4.3/+download/4dtris_0.4.3.orig.tar.gz
Source1: %{name}.desktop

BuildRequires: gcc-c++
BuildRequires: mesa-libGL-devel mesa-libGLU-devel
BuildRequires: gettext fontconfig-devel
BuildRequires: SDL_ttf-devel SDL-devel
BuildRequires: desktop-file-utils

%description
4D-TRIS is an alteration of the well-known Tetris game. The game field 
is extended to a 4D field, which has to filled up by the gamer with 4D 
hyper cubes.

%prep
%setup -q -n %{name}-%{version}

%build
export CFLAGS="$CFLAGS -fcommon -g -std=gnu89"
%configure
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{_prefix}/games/4dtris $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
mv $RPM_BUILD_ROOT%{_datadir}/games/4dtris/4dtris.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
rm -rf $RPM_BUILD_ROOT%{_datadir}/games/4dtris/
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/%{name}.6.gz
%{_datadir}/pixmaps/%{name}.png

%changelog
* Wed Oct 02 2024 josef radinger <cheese@nosuchhost.net> - 0.4.3-6
- add -std=gnu89

* Tue Sep 06 2022 josef radinger <cheese@nosuchhost.net> - 0.4.3-5
- specfile cleanup
- add %%undefine _auto_set_build_flags
- add -fcommon to CFLAGS to fix multiple definitions
- disable hardening %%undefine _hardened_build

* Tue Oct 30 2018 josef radinger <cheese@nosuchhost.net> - 0.4.3-4
- add BuildRequires on gcc-c++

* Fri Aug 02 2013 josef radinger <cheese@nosuchhost.net> - 0.4.3-3
- fix dates in specfile

* Thu Jun 20 2013 josef radinger <cheese@nosuchhost.net>
- 0.4.3-2
- fix icon

* Sun Jun 09 2013 josef radinger <cheese@nosuchhost.net>
- 0.4.3-1
- initial release
